import numpy as np
import matplotlib.pyplot as plt

# Matplotlib
# https://matplotlib.org/

vx = np.linspace( -5, 10, 20 )
vy = vx*vx - 4.0*vx - 10.0

fig, ax = plt.subplots()

ax.plot( vx, vy )
ax.scatter( vx, vy )
ax.set_xlabel( 'x' )
ax.set_ylabel( 'y' )
ax.grid( )
plt.show()

