import numpy as np
import matplotlib.pyplot as plt

# Matplotlib
# https://matplotlib.org/

vx = np.linspace( -5, 10, 20 )
vy = vx*vx - 4.0*vx - 10.0

fig, (ax1, ax2) = plt.subplots( 1, 2 )

ax1.set_xlabel( 'x' )
ax1.set_ylabel( 'y' )
ax1.plot( vx, vy )

ax2.set_xlabel( 'x' )
ax2.set_ylabel( 'y' )
ax2.scatter( vx, vy )
ax2.grid( )

plt.show()
