import numpy as np

# Fraga
# 06.01.2022

# En python de forma natural existen tres tipos de datos:
# variables, listas y diccionarios

L1 = [1, 2, 3, 4, 5]

va = np.array( L1 )

print( va )
print( va.ndim )
print( va.shape )
print( va.size )

# Si tuviesemos un vector de tamaño 5x1, lo llamamos v
# v^T v, o
# v v^T
# en el primer caso resulta 1x5 5x1, entonces en un escalar;
# en el segundo caso resulta 5x1 1x5, entnces el resultado
# es una matriz de tamaño 5x5

vb = va.reshape( (5,1) )
print( vb.shape )

a = vb.transpose() @ vb
print( a[0,0] )

A = vb @ vb.transpose()
print( A )
