import numpy as np
import matplotlib.pyplot as plt

# Matplotlib
# https://matplotlib.org/

# Gráfica de un círculo en forma paramétrica
#
vt = np.linspace( 0, 2.0 * np.pi, 50 )
vx = 4.0 * np.cos( vt ) 
vy = 4.0 * np.sin( vt ) 

fig, ax = plt.subplots( )

ax.plot( vx, vy )
ax.set_aspect( 1 )

# plt.show()
plt.savefig( "circulo.png" )
